package cn.iocoder.yudao.module.identity.enums;

import cn.iocoder.yudao.framework.common.core.IntArrayValuable;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

@Getter
@AllArgsConstructor
public enum CharTypeEnums implements IntArrayValuable {
    NUMBER(0, "纯数字"),
    LETTER(1, "纯字母"),
    MIX(2, "混合"),
    ;

    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(CharTypeEnums::getCharType).toArray();

    /**
     * 码类型
     */
    private final Integer charType;

    /**
     * 类型名
     */
    private final String typeName;

    @Override
    public int[] array() {
        return ARRAYS;
    }

}
